GNU bug report logs - #61006
29.0.60; Wrong indentation in go-ts-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: sskostyaev@HIDDEN; dated Sun, 22 Jan 2023 13:40:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 61006 <at> debbugs.gnu.org:


Received: (at 61006) by debbugs.gnu.org; 25 Jan 2023 09:54:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 04:54:53 2023
Received: from localhost ([127.0.0.1]:58328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKcUW-0002uF-SW
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2023 04:54:53 -0500
Received: from mail-lf1-f46.google.com ([209.85.167.46]:42766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sskostyaev@HIDDEN>) id 1pKcUM-0002tc-V0
 for 61006 <at> debbugs.gnu.org; Wed, 25 Jan 2023 04:54:44 -0500
Received: by mail-lf1-f46.google.com with SMTP id y25so28010085lfa.9
 for <61006 <at> debbugs.gnu.org>; Wed, 25 Jan 2023 01:54:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:from:to:cc:subject
 :date:message-id:reply-to;
 bh=A4l9WBPKeJqmKEKv7E9S0SEc1ti9q1W9LrKfCEmOb7c=;
 b=KX+aZUqu1Cm05xgHD69jKohH+UKokoNFW+HgXz8Tu2PLquZvMal0rYDo9SRD+2nZEs
 qDbJquYCXGmo8baXb9FmlF92S1+18tqNzDNHpt+R9vOAsBTlzqFjO8nMsqULdLsULce+
 JX5JkKuKOgYdkKNPnfH9NX6/MRvBkClYiQzB/tvHf1xEQeUbUullipUQjXMbc2+SUn6B
 oMCl22bVuVvSdj+CWL06e0NrTDPeCKjN2/cAjjx6SHHArLPCR5BaCM2WruKVJ/3FUyPy
 WMWXwhki5fr7M+jSJj/k0VNPnMWNtxIJl7pNHXWjKqUBBmGF244PFdEoNhZWs/XfV4b+
 pGVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=A4l9WBPKeJqmKEKv7E9S0SEc1ti9q1W9LrKfCEmOb7c=;
 b=501vLVpNhpsoTG93fDq6abuZpsaPb5SR2Hv3EIqcJvmcNIXFLpAB6iB85JHcu5NOZw
 bNA/Jgnua24NaoEUWaZHRissEWl44TZMFI1pEJ1uzTvjO80GybufebuntpmeAs9glxve
 JCve6AO+uqg2hzkJ9BEdeT7xMDfzSpuEjSQsSvBV2cW2kU4WGWs+iVBcCRXnzYd/VfiT
 DSKWAo0aIedWNHUnaCjB2c8bUDyKYEfJtYVVcFfC3i+3v+pHPYMk8yCSIxe9Lc+rxZQk
 sWWXYMdc4iLq4e4J2MarYQrzvSicJPTaii1teiQBpRsc7KY90+lRj99kKpK8xzbCFmt0
 kfcQ==
X-Gm-Message-State: AFqh2koMXMtcCfq+uzoT8I2qE0FhZtuJT+rkhYpeyoe7bsVWrWcspb1i
 hk9/TuuJjrsY4mxu+aznSSc=
X-Google-Smtp-Source: AMrXdXv0AroVPHOkQpUdcIPgxxuW8KlDDR9XQrhhppF8bvZULPZNAMdlZANMfZhTBVcyJiod18OxjA==
X-Received: by 2002:ac2:5a0a:0:b0:4a4:68b9:60ae with SMTP id
 q10-20020ac25a0a000000b004a468b960aemr8074270lfn.57.1674640476642; 
 Wed, 25 Jan 2023 01:54:36 -0800 (PST)
Received: from [192.168.0.14] ([90.189.160.165])
 by smtp.gmail.com with ESMTPSA id
 d25-20020ac244d9000000b004a4731f75a5sm423317lfm.250.2023.01.25.01.54.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 25 Jan 2023 01:54:36 -0800 (PST)
Message-ID: <38eb2418471c2f2ceb787dd7554a9a2c141f3dd3.camel@HIDDEN>
Subject: Re: bug#61006: 29.0.60; Wrong indentation in go-ts-mode
From: sskostyaev@HIDDEN
To: Randy Taylor <dev@HIDDEN>
Date: Wed, 25 Jan 2023 16:54:34 +0700
In-Reply-To: <i4EUpaCSiAz1ayuSJYiUZlfEP_Pn1l1Frt0Ah-xd3mUQFn7IyDA3WQ_kk6GNSJ3K-uhzcEwCGchD0_zRaDFT_EypsOpkuz2SUEdJW2wLu2k=@rjt.dev>
References: <4e1f92dc54d94cf4860490c643b5fd565deb0e1a.camel@HIDDEN>
 <i4EUpaCSiAz1ayuSJYiUZlfEP_Pn1l1Frt0Ah-xd3mUQFn7IyDA3WQ_kk6GNSJ3K-uhzcEwCGchD0_zRaDFT_EypsOpkuz2SUEdJW2wLu2k=@rjt.dev>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.3 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 61006
Cc: 61006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=D0=92 =D0=A1=D1=80, 25/01/2023 =D0=B2 02:35 +0000, Randy Taylor =D0=BF=D0=
=B8=D1=88=D0=B5=D1=82:
> On Sunday, January 22nd, 2023 at 05:00,
> sskostyaev@HIDDEN=C2=A0<sskostyaev@HIDDEN> wrote:
>=20
>=20
> > There is also other issue - sometimes go-ts-mode syntax highliting
> > breaks when I actively use it with` lsp-mode`- refactorings, auto
> > formatting etc. But I can't reproduce it with`eglot`.
>=20
> Seems like an `lsp-mode` problem then? I only use `eglot` and haven't
> noticed anything amiss.

I have reproduced this issue with eglot. But I can't share my working
code screenshots and can't provide easy way to reproduce. Not sure how
can I help to localize the problem then. This issue is not related to
indentation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61006; Package emacs. Full text available.

Message received at 61006 <at> debbugs.gnu.org:


Received: (at 61006) by debbugs.gnu.org; 25 Jan 2023 05:31:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 00:31:27 2023
Received: from localhost ([127.0.0.1]:58048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKYNb-0004AH-2C
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2023 00:31:27 -0500
Received: from mail-lf1-f45.google.com ([209.85.167.45]:44790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sskostyaev@HIDDEN>) id 1pKX3m-000811-0P
 for 61006 <at> debbugs.gnu.org; Tue, 24 Jan 2023 23:06:54 -0500
Received: by mail-lf1-f45.google.com with SMTP id w11so23200303lfu.11
 for <61006 <at> debbugs.gnu.org>; Tue, 24 Jan 2023 20:06:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:from:to:cc:subject
 :date:message-id:reply-to;
 bh=bTM13xyaL0YSJyQkh7/xS1rbHAFQTkC5OfwOm7TeJJk=;
 b=FT5/tb0RqsU4ds51jCJ8Inp0JBlUV1ztDK98ezMpW6WwGFnqakHdc77Xb/GLPvxfMk
 x958zxmn84/m3Mm6zo+MEYbDcxg3Qu92RmebqLs6NUTqygksNvqtwajFbC07nNn8/oVf
 CnNFRcnaA6ZTjV4a0tAdIMoO7hPcuWue/fnc64umqjP0wu2NDpsT6ONOzjDW2idXASjc
 lsYhwrJ4YOh1e3EB6G35M351oWy7i9Uu/WUgqrFEgUWHJwx/8kcebQtIaa0uXJDF8I7O
 btI30YJKFBNDZzMlfyUg3IHGpNlJW+eleyv7BQtgBGK6wPm+emAOW075Jq2K8yF008Gp
 OjPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=bTM13xyaL0YSJyQkh7/xS1rbHAFQTkC5OfwOm7TeJJk=;
 b=Y75q/jZwwoqLGNkaJltVKQv/Zm/9qRsvhIOqA0vo3X5l6JqiqMjy/iQDXfJnk8UjBh
 z3v6IOXmcAL1J58AAIwhuivGHyV7Co94srv+E+VTPd5vgknBP4j9J6giw/KlyfficNvW
 sJkiVWdcoJn6rc4v97mgqPZbmtFrWb7QA0UM0RzmfUGYe2wd0uMyiDAeaelBOwDk5dBA
 1m6n3MogVhJh92On/J3OjrPJ9Oa/MMDL4JIOlCJXAHsHbLPTrYF4Rmjbjt+XlhOP/Y6s
 p7rJll5EVBpF2TGRGw4UHFFHKxDeAHAP4q7RH5YqRYfRadv3ELfPDHEhQug/EPADZC08
 AzaQ==
X-Gm-Message-State: AFqh2kotArkWGkCJecP6oy4ORxh66FtCoq59QoEfiEzwFSzrDOJd8Gcb
 s89uYZOxDmUcvUz9TktAvkM=
X-Google-Smtp-Source: AMrXdXuKEJHfLyWuOB+G594J23fAl6Sjca1csSPfkvPyZzaDbXlWggOx8ZEjq0tCKIAIHyVKQc2dhA==
X-Received: by 2002:a05:6512:1312:b0:4d5:a689:d7e8 with SMTP id
 x18-20020a056512131200b004d5a689d7e8mr7385491lfu.32.1674619607805; 
 Tue, 24 Jan 2023 20:06:47 -0800 (PST)
Received: from [192.168.0.14] ([90.189.160.165])
 by smtp.gmail.com with ESMTPSA id
 h5-20020a05651211c500b004cb1b4634edsm337366lfr.194.2023.01.24.20.06.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 24 Jan 2023 20:06:47 -0800 (PST)
Message-ID: <94c6de01accfebc10cd7a0377e0c1087fdae5086.camel@HIDDEN>
Subject: Re: bug#61006: 29.0.60; Wrong indentation in go-ts-mode
From: sskostyaev@HIDDEN
To: Randy Taylor <dev@HIDDEN>
Date: Wed, 25 Jan 2023 11:06:45 +0700
In-Reply-To: <3aLr20wUmwH_Z8sYXoG4FACIHNCCJlDFFAdFCUNNe5FTsaozqHRxHhZ6fwtVXlRZMmfA_7PDN_rE-YfxrhtEtq5SOMnd0S2LeMgCNGQlyco=@rjt.dev>
References: <4e1f92dc54d94cf4860490c643b5fd565deb0e1a.camel@HIDDEN>
 <i4EUpaCSiAz1ayuSJYiUZlfEP_Pn1l1Frt0Ah-xd3mUQFn7IyDA3WQ_kk6GNSJ3K-uhzcEwCGchD0_zRaDFT_EypsOpkuz2SUEdJW2wLu2k=@rjt.dev>
 <3aLr20wUmwH_Z8sYXoG4FACIHNCCJlDFFAdFCUNNe5FTsaozqHRxHhZ6fwtVXlRZMmfA_7PDN_rE-YfxrhtEtq5SOMnd0S2LeMgCNGQlyco=@rjt.dev>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.3 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 61006
X-Mailman-Approved-At: Wed, 25 Jan 2023 00:31:25 -0500
Cc: 61006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thank you!

Fixed now.

=D0=92 =D0=A1=D1=80, 25/01/2023 =D0=B2 02:46 +0000, Randy Taylor =D0=BF=D0=
=B8=D1=88=D0=B5=D1=82:
> On Tuesday, January 24th, 2023 at 21:35, Randy Taylor <dev@HIDDEN>
> wrote:
> >=20
> > On Sunday, January 22nd, 2023 at 05:00,
> > sskostyaev@HIDDEN=C2=A0sskostyaev@HIDDEN=C2=A0wrote:
> >=20
> > > Hi. Thank you all for great work.
> > > In go-ts-mode indentation breaks in function or method definition
> > > if
> > > arguments placed on separate lines like this:
> > > `func transform( s string, ) string {`
> > > This code should be indented like this:
> > > `func transform( s string, ) string {`
> >=20
> >=20
> > Thanks for the report. I've attached a patch that fixes this.
> >=20
> > > Also `go-ts-mode-indent-offset' should be 8 by default. In go
> > > world there is gofmt which is a real standart for code
> > > indentation. It would be great if emacs will provide the same
> > > indentation out of the box.
> >=20
> >=20
> > And addresses this.
> >=20
> > > There is also other issue - sometimes go-ts-mode syntax
> > > highliting breaks when I actively use it with `lsp-mode`-
> > > refactorings, auto formatting etc. But I can't reproduce it
> > > with`eglot`.
> >=20
> >=20
> > Seems like an `lsp-mode` problem then? I only use `eglot` and
> > haven't noticed anything amiss.
>=20
> Addendum to my last patch: added indentation support for interfaces
> as it was missing. Everything else is the same.


--=20


Best regards,
Sergey Kostyaev





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61006; Package emacs. Full text available.

Message received at 61006 <at> debbugs.gnu.org:


Received: (at 61006) by debbugs.gnu.org; 25 Jan 2023 02:46:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 21:46:36 2023
Received: from localhost ([127.0.0.1]:57957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKVo4-0003Wg-2Z
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2023 21:46:36 -0500
Received: from mail-4022.proton.ch ([185.70.40.22]:27825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1pKVo0-0003WQ-Em
 for 61006 <at> debbugs.gnu.org; Tue, 24 Jan 2023 21:46:35 -0500
Date: Wed, 25 Jan 2023 02:46:05 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rjt.dev;
 s=protonmail2; t=1674614786; x=1674873986;
 bh=iaWUCFjgMygZktTF/H1kOEF7i2lGJ22AyYu9Ruewhx8=;
 h=Date:To:From:Cc:Subject:Message-ID:In-Reply-To:References:
 Feedback-ID:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID:BIMI-Selector;
 b=USJeBfgIAQRCk/IJpFfv/5z5fdkVHRNvPxDiTLGJTFIxvHIotp6WlKwtP+2ne3oVo
 5XvP+JqY5/20hlmrh2vxZdNNtrtFu/jpzO90mpMx31D34TbmPJKC6t4Oe4m5ngpRhA
 Y4ZHJCo9FHHsS5RObgynmTg6m9AYJBfTfZ5K7qwLCK0BNXLFvK/iJWuRmgWRALR5BN
 MPWmxg/COXbmIbZKGjl6x0/4askkzu48XFD1V/M0/Ibu0PHFVewH+jTaMLfwZ7nDsp
 2Y8h2MwISE7/Bj5QDx4GJYjpLC6PZVkznaQkKh216+QLRliiA462ZcqPpipsHLPz2+
 MTCVsUsR1bk3g==
To: sskostyaev@HIDDEN
From: Randy Taylor <dev@HIDDEN>
Subject: Re: bug#61006: 29.0.60; Wrong indentation in go-ts-mode
Message-ID: <3aLr20wUmwH_Z8sYXoG4FACIHNCCJlDFFAdFCUNNe5FTsaozqHRxHhZ6fwtVXlRZMmfA_7PDN_rE-YfxrhtEtq5SOMnd0S2LeMgCNGQlyco=@rjt.dev>
In-Reply-To: <i4EUpaCSiAz1ayuSJYiUZlfEP_Pn1l1Frt0Ah-xd3mUQFn7IyDA3WQ_kk6GNSJ3K-uhzcEwCGchD0_zRaDFT_EypsOpkuz2SUEdJW2wLu2k=@rjt.dev>
References: <4e1f92dc54d94cf4860490c643b5fd565deb0e1a.camel@HIDDEN>
 <i4EUpaCSiAz1ayuSJYiUZlfEP_Pn1l1Frt0Ah-xd3mUQFn7IyDA3WQ_kk6GNSJ3K-uhzcEwCGchD0_zRaDFT_EypsOpkuz2SUEdJW2wLu2k=@rjt.dev>
Feedback-ID: 44397038:user:proton
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_L8aJIY1cgEQDluMCGo3EZfwVY19Z3UfUDqghbM8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 61006
Cc: 61006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_L8aJIY1cgEQDluMCGo3EZfwVY19Z3UfUDqghbM8
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Tuesday, January 24th, 2023 at 21:35, Randy Taylor <dev@HIDDEN> wrote:
>=20
> On Sunday, January 22nd, 2023 at 05:00, sskostyaev@HIDDEN sskostyaev@g=
mail.com wrote:
>=20
> > Hi. Thank you all for great work.
> > In go-ts-mode indentation breaks in function or method definition if
> > arguments placed on separate lines like this:
> > `func transform( s string, ) string {`
> > This code should be indented like this:
> > `func transform( s string, ) string {`
>=20
>=20
> Thanks for the report. I've attached a patch that fixes this.
>=20
> > Also `go-ts-mode-indent-offset' should be 8 by default. In go world the=
re is gofmt which is a real standart for code indentation. It would be grea=
t if emacs will provide the same indentation out of the box.
>=20
>=20
> And addresses this.
>=20
> > There is also other issue - sometimes go-ts-mode syntax highliting brea=
ks when I actively use it with `lsp-mode`- refactorings, auto formatting et=
c. But I can't reproduce it with`eglot`.
>=20
>=20
> Seems like an `lsp-mode` problem then? I only use `eglot` and haven't not=
iced anything amiss.

Addendum to my last patch: added indentation support for interfaces as it w=
as missing. Everything else is the same.
--b1_L8aJIY1cgEQDluMCGo3EZfwVY19Z3UfUDqghbM8
Content-Type: text/x-patch; name=0001-Fix-go-ts-mode-indentation-and-set-indent-offset-to-.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-Fix-go-ts-mode-indentation-and-set-indent-offset-to-.patch
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--b1_L8aJIY1cgEQDluMCGo3EZfwVY19Z3UfUDqghbM8--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61006; Package emacs. Full text available.

Message received at 61006 <at> debbugs.gnu.org:


Received: (at 61006) by debbugs.gnu.org; 25 Jan 2023 02:35:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 24 21:35:45 2023
Received: from localhost ([127.0.0.1]:57946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKVdY-0003Es-TB
	for submit <at> debbugs.gnu.org; Tue, 24 Jan 2023 21:35:45 -0500
Received: from mail-4317.proton.ch ([185.70.43.17]:61209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1pKVdW-0003Ed-Aq
 for 61006 <at> debbugs.gnu.org; Tue, 24 Jan 2023 21:35:43 -0500
Date: Wed, 25 Jan 2023 02:35:20 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rjt.dev;
 s=protonmail2; t=1674614135; x=1674873335;
 bh=CdM/DqMXl6i3KW+RVcQKhV6s3BM/KuW7ItpJYUur/aE=;
 h=Date:To:From:Cc:Subject:Message-ID:In-Reply-To:References:
 Feedback-ID:From:To:Cc:Date:Subject:Reply-To:Feedback-ID:
 Message-ID:BIMI-Selector;
 b=fEuNbCL+ySsLjzVU25UcaDEZ6xYOAOhbSSd2PrhntKce8hcLNTBJBbBncy5m17w3q
 E3TDDEd+VSXlHhWtpHKWUq/NAVQvKlW3vBgq2bw17SEy/X0UIR3eidtPV+HrSyZ8/G
 Q3Uwot6WPIF96iYdSYAMitM1bja+Bhe4zXoFOZQkJWD5DQl3UnTZl0LtCj/0+XQ9bq
 r2zpKwYFLBpI4WhjrwB5XLcBHB8zD4hPR0xLIVUC4LewyMS0w2V6MmTHVE0IID6uW6
 I3EZQ2/Gy1Xx3h+1t86zTqUw9kXtp+slSwYM5dmR1npLPYFxAgYn6zdxDVPSWDPr1q
 We9THvv4MU9ig==
To: sskostyaev@HIDDEN
From: Randy Taylor <dev@HIDDEN>
Subject: Re: bug#61006: 29.0.60; Wrong indentation in go-ts-mode
Message-ID: <i4EUpaCSiAz1ayuSJYiUZlfEP_Pn1l1Frt0Ah-xd3mUQFn7IyDA3WQ_kk6GNSJ3K-uhzcEwCGchD0_zRaDFT_EypsOpkuz2SUEdJW2wLu2k=@rjt.dev>
In-Reply-To: <4e1f92dc54d94cf4860490c643b5fd565deb0e1a.camel@HIDDEN>
References: <4e1f92dc54d94cf4860490c643b5fd565deb0e1a.camel@HIDDEN>
Feedback-ID: 44397038:user:proton
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_NVQmt8GySBmNPw3GhTigl7wRHSgUIEiqOrirTI6Th4"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 61006
Cc: 61006 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_NVQmt8GySBmNPw3GhTigl7wRHSgUIEiqOrirTI6Th4
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sunday, January 22nd, 2023 at 05:00, sskostyaev@HIDDEN <sskostyaev@gm=
ail.com> wrote:
>=20
> Hi. Thank you all for great work.
> In go-ts-mode indentation breaks in function or method definition if
> arguments placed on separate lines like this:
> `func transform( s string, ) string {`
> This code should be indented like this:
> `func transform( s string, ) string {`

Thanks for the report. I've attached a patch that fixes this.

> Also `go-ts-mode-indent-offset' should be 8 by default. In go world there=
 is gofmt which is a real standart for code indentation. It would be great =
if emacs will provide the same indentation out of the box.

And addresses this.

> There is also other issue - sometimes go-ts-mode syntax highliting breaks=
 when I actively use it with` lsp-mode`- refactorings, auto formatting etc.=
 But I can't reproduce it with`eglot`.

Seems like an `lsp-mode` problem then? I only use `eglot` and haven't notic=
ed anything amiss.
--b1_NVQmt8GySBmNPw3GhTigl7wRHSgUIEiqOrirTI6Th4
Content-Type: text/x-patch; name=0001-Fix-go-ts-mode-parameter-indentation-and-set-indent-.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-Fix-go-ts-mode-parameter-indentation-and-set-indent-.patch

RnJvbSA2NTk1YTQ1OTJjMmVhMmQ5Y2ZmNDIwM2Q1M2Q5MWRjY2FlOGRjMWNkIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBSYW5keSBUYXlsb3IgPGRldkByanQuZGV2PgpEYXRlOiBUdWUs
IDI0IEphbiAyMDIzIDIxOjIwOjQ4IC0wNTAwClN1YmplY3Q6IFtQQVRDSF0gRml4IGdvLXRzLW1v
ZGUgcGFyYW1ldGVyIGluZGVudGF0aW9uIGFuZCBzZXQgaW5kZW50IG9mZnNldCB0bwogOAoKKiBs
aXNwL3Byb2dtb2Rlcy9nby10cy1tb2RlLmVsIChnby10cy1tb2RlLWluZGVudC1vZmZzZXQpOiBD
aGFuZ2UgaXQKdG8gOC4KKGdvLXRzLW1vZGUtLWluZGVudC1ydWxlcyk6IEFkZCBpbmRlbnRhdGlv
biBmb3IgcGFyYW1ldGVycy4KCihCdWcjNjEwMDYpCi0tLQogbGlzcC9wcm9nbW9kZXMvZ28tdHMt
bW9kZS5lbCB8IDMgKystCiAxIGZpbGUgY2hhbmdlZCwgMiBpbnNlcnRpb25zKCspLCAxIGRlbGV0
aW9uKC0pCgpkaWZmIC0tZ2l0IGEvbGlzcC9wcm9nbW9kZXMvZ28tdHMtbW9kZS5lbCBiL2xpc3Av
cHJvZ21vZGVzL2dvLXRzLW1vZGUuZWwKaW5kZXggZDU1MmUxMzYwZTAuLjVhOTdhYTVkNjgwIDEw
MDY0NAotLS0gYS9saXNwL3Byb2dtb2Rlcy9nby10cy1tb2RlLmVsCisrKyBiL2xpc3AvcHJvZ21v
ZGVzL2dvLXRzLW1vZGUuZWwKQEAgLTM4LDcgKzM4LDcgQEAKIChkZWNsYXJlLWZ1bmN0aW9uIHRy
ZWVzaXQtbm9kZS10eXBlICJ0cmVlc2l0LmMiKQogKGRlY2xhcmUtZnVuY3Rpb24gdHJlZXNpdC1z
ZWFyY2gtc3VidHJlZSAidHJlZXNpdC5jIikKIAotKGRlZmN1c3RvbSBnby10cy1tb2RlLWluZGVu
dC1vZmZzZXQgNAorKGRlZmN1c3RvbSBnby10cy1tb2RlLWluZGVudC1vZmZzZXQgOAogICAiTnVt
YmVyIG9mIHNwYWNlcyBmb3IgZWFjaCBpbmRlbnRhdGlvbiBzdGVwIGluIGBnby10cy1tb2RlJy4i
CiAgIDp2ZXJzaW9uICIyOS4xIgogICA6dHlwZSAnaW50ZWdlcgpAQCAtODAsNiArODAsNyBAQCBn
by10cy1tb2RlLS1pbmRlbnQtcnVsZXMKICAgICAgKChwYXJlbnQtaXMgImltcG9ydF9zcGVjX2xp
c3QiKSBwYXJlbnQtYm9sIGdvLXRzLW1vZGUtaW5kZW50LW9mZnNldCkKICAgICAgKChwYXJlbnQt
aXMgImxhYmVsZWRfc3RhdGVtZW50IikgcGFyZW50LWJvbCBnby10cy1tb2RlLWluZGVudC1vZmZz
ZXQpCiAgICAgICgocGFyZW50LWlzICJsaXRlcmFsX3ZhbHVlIikgcGFyZW50LWJvbCBnby10cy1t
b2RlLWluZGVudC1vZmZzZXQpCisgICAgICgocGFyZW50LWlzICJwYXJhbWV0ZXJfbGlzdCIpIHBh
cmVudC1ib2wgZ28tdHMtbW9kZS1pbmRlbnQtb2Zmc2V0KQogICAgICAoKHBhcmVudC1pcyAidHlw
ZV9zcGVjIikgcGFyZW50LWJvbCBnby10cy1tb2RlLWluZGVudC1vZmZzZXQpCiAgICAgICgocGFy
ZW50LWlzICJ2YXJfZGVjbGFyYXRpb24iKSBwYXJlbnQtYm9sIGdvLXRzLW1vZGUtaW5kZW50LW9m
ZnNldCkKICAgICAgKG5vLW5vZGUgcGFyZW50LWJvbCAwKSkpCi0tIAoyLjM5LjEKCg==

--b1_NVQmt8GySBmNPw3GhTigl7wRHSgUIEiqOrirTI6Th4--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61006; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jan 2023 13:39:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 22 08:39:43 2023
Received: from localhost ([127.0.0.1]:50935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pJaZS-0008JF-Mz
	for submit <at> debbugs.gnu.org; Sun, 22 Jan 2023 08:39:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:41190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sskostyaev@HIDDEN>) id 1pJX9Q-0006RP-13
 for submit <at> debbugs.gnu.org; Sun, 22 Jan 2023 05:00:36 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sskostyaev@HIDDEN>)
 id 1pJX97-0001ZK-OM
 for bug-gnu-emacs@HIDDEN; Sun, 22 Jan 2023 05:00:22 -0500
Received: from mail-lj1-x234.google.com ([2a00:1450:4864:20::234])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <sskostyaev@HIDDEN>)
 id 1pJX95-0005HS-R2
 for bug-gnu-emacs@HIDDEN; Sun, 22 Jan 2023 05:00:17 -0500
Received: by mail-lj1-x234.google.com with SMTP id y9so6475910lji.2
 for <bug-gnu-emacs@HIDDEN>; Sun, 22 Jan 2023 02:00:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:date:to:from
 :subject:message-id:from:to:cc:subject:date:message-id:reply-to;
 bh=BImycE/6rrj+BBa90K36wRiKqNwFJK0Ge4xmAQ95tGg=;
 b=om0jha6xhvrAEstIOZLgwjJacGnimQ8cPTJ/W9oIiJsYuydEjlMSgpj03jiyOlY7up
 JHiT1Qy67dG7kB0z5XHJHxvBWJW8/TrN9VlevN4qEqmReIBylwMKoWy2XpaIpCimjnYz
 GqgKeTsREydjqi6qFSt8oJ+UuHny8fvxDgoqfMgyumoxCzbyLXHr9XtUKjHsx9pfwEx2
 hcNMM686jqymRRmHogudfCFMQJQPfo3T5zUx35//M+hAIobLf3+Gy6NEjDTb9bk0uWWQ
 2iFSCaAGXjxGlPz8IMBux1pDIclGscnspMGTjJm6YYQ0sqWyh+w8hgyqS5CHrUj5qKDL
 k6LA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:content-transfer-encoding:date:to:from
 :subject:message-id:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=BImycE/6rrj+BBa90K36wRiKqNwFJK0Ge4xmAQ95tGg=;
 b=spmH79jjb6UzKFBDee7GAr7A1/VGjCk/yjkDzj+vResJZJrDN1gf4xpSvpRGfzgaWx
 oJrAZ2D9SLWt/tMTZXile8p+P0gcRUb/euuTx7phHv+VkaqRCOlQZ8x1ZKf6POE7OlkH
 x6Le/SPsAguZqoBK/MUPZdEk2nUPr+ygGLHFTwGdtCkosbOGx/vIdJtKfBEyWuzl7Li3
 YCNIS1UrQSehVpQtF5RSQvocwNlNO1pn5DgX0Quj1dhsgkkNEK8KRiuQI+BStOOP5CRH
 bXF7GWzH8wqo3KyJrjwOVFFSYfpQTpWV8xxZJJOyqeCuFxxc5k45EyK+9rsCxyxZ7uCj
 /39A==
X-Gm-Message-State: AFqh2kqaEyEZq8dk2Tdb+MgtUtfbU7+c3JBWVqjAqBUxaZjLtwTyvEFo
 AohwHCnhNEj0UyNCG6Pa9Z1cCFuRx2dtCg==
X-Google-Smtp-Source: AMrXdXvM5NoskG7GDX2FSOoWyF4QfpGLsSPBk3/eOvmp7LLdpVOvOGavjmw/AOkaae4kLsvsSNUU9g==
X-Received: by 2002:a2e:9b14:0:b0:28b:c89b:956c with SMTP id
 u20-20020a2e9b14000000b0028bc89b956cmr1885132lji.40.1674381611255; 
 Sun, 22 Jan 2023 02:00:11 -0800 (PST)
Received: from [192.168.0.14] ([90.189.160.165])
 by smtp.gmail.com with ESMTPSA id
 a27-20020a2ebe9b000000b0028bac2c334esm1270822ljr.25.2023.01.22.02.00.10
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 22 Jan 2023 02:00:10 -0800 (PST)
Message-ID: <4e1f92dc54d94cf4860490c643b5fd565deb0e1a.camel@HIDDEN>
Subject: 29.0.60; Wrong indentation in go-ts-mode
From: sskostyaev@HIDDEN
To: bug-gnu-emacs@HIDDEN
Date: Sun, 22 Jan 2023 17:00:09 +0700
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.3 
MIME-Version: 1.0
Received-SPF: pass client-ip=2a00:1450:4864:20::234;
 envelope-from=sskostyaev@HIDDEN; helo=mail-lj1-x234.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 22 Jan 2023 08:39:41 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi. Thank you all for great work.
In go-ts-mode indentation breaks in function or method definition if
arguments placed on separate lines like this:
```
func transform(
s string,
) string {
```
This code should be indented like this:
```
func transform(
	s string,
) string {
```
Also `go-ts-mode-indent-offset' should be 8 by default. In go world
there is gofmt which is a real standart for code indentation. It would
be great if emacs will provide the same indentation out of the box.

There is also other issue - sometimes go-ts-mode syntax highliting
breaks when I actively use it with `lsp-mode` - refactorings, auto
formatting etc. But I can't reproduce it with `eglot`.

In GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version
=C2=A03.24.36, cairo version 1.17.6) of 2023-01-11 built on feofanlaptop
Repository revision: 384504edf35751eec2be9b52be5d3b250217d68f
Repository branch: makepkg
System Description: Arch Linux

Configured using:
=C2=A0'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/li=
b
=C2=A0--localstatedir=3D/var --mandir=3D/usr/share/man --with-gameuser=3D:g=
ames
=C2=A0--with-modules --without-libotf --without-m17n-flt --without-gconf
=C2=A0--with-native-compilation=3Dyes --with-native-compilation=3Daot --wit=
h-
pgtk
=C2=A0--without-xaw3d --with-sound=3Dno --with-tree-sitter --without-gpm
=C2=A0--without-compress-install
=C2=A0'--program-transform-name=3Ds/\([ec]tags\)/\1.emacs/'
=C2=A0'CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -pipe -fno-plt'
=C2=A0CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
=C2=A0LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
JSON
LCMS2 LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER
PGTK
PNG RSVG SECCOMP SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER
WEBP XIM GTK3 ZLIB

Important settings:
=C2=A0 value of $LC_ALL: en_US.UTF-8
=C2=A0 value of $LANG: ru_RU.UTF-8
=C2=A0 value of $XMODIFIERS: @im=3Dibus
=C2=A0 locale-coding-system: utf-8-unix

Major mode: Go

Minor modes in effect:
=C2=A0 shell-dirtrack-mode: t
=C2=A0 eglot--managed-mode: t
=C2=A0 pixel-scroll-precision-mode: t
=C2=A0 flymake-mode: t
=C2=A0 icomplete-vertical-mode: t
=C2=A0 icomplete-mode: t
=C2=A0 electric-pair-mode: t
=C2=A0 tooltip-mode: t
=C2=A0 global-eldoc-mode: t
=C2=A0 eldoc-mode: t
=C2=A0 show-paren-mode: t
=C2=A0 electric-indent-mode: t
=C2=A0 mouse-wheel-mode: t
=C2=A0 file-name-shadow-mode: t
=C2=A0 global-font-lock-mode: t
=C2=A0 font-lock-mode: t
=C2=A0 line-number-mode: t
=C2=A0 indent-tabs-mode: t
=C2=A0 transient-mark-mode: t
=C2=A0 auto-composition-mode: t
=C2=A0 auto-encryption-mode: t
=C2=A0 auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug find-dired go-ts-mode treesit face-
remap
display-line-numbers files-x hippie-exp misearch multi-isearch shell
pcomplete vc-dir log-edit message sendmail mailcap yank-media puny
dired
dired-loaddefs rfc822 mml mml-sec epa epg rfc6068 epg-config gnus-util
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-
util
ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils mailheader add-
log
vc-hg vc-bzr vc-src vc-sccs vc-cvs vc-rcs log-view pcvs-util smerge-
mode
diff vc vc-git diff-mode vc-dispatcher tabify apropos cus-edit cus-
start
cus-load wid-edit time dune skeleton vc-svn eglot external-completion
array filenotify jsonrpc ert ewoc debug backtrace url-util url-parse
auth-source eieio eieio-core password-cache json map url-vars imenu
tuareg tuareg-compat tuareg-opam smie find-file pixel-scroll cua-base
gopcaml-mode merlin-xref xref merlin-cap merlin easy-mmode advice pcase
crm ocp-indent cl gopcaml bookmark pp edmacro kmacro derived find-func
use-package-core time-date checkdoc lisp-mnt flymake-proc flymake
project byte-opt compile text-property-search comint ansi-osc ansi-
color
ring thingatpt comp comp-cstr warnings icons subr-x rx cl-seq cl-macs
gv
cl-extra help-mode bytecomp byte-compile icomplete cl-loaddefs cl-lib
elec-pair misterioso-theme rmc iso-transl tooltip cconv eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/pgtk-win pgtk-win term/common-win pgtk-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-
generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo gtk pgtk
lcms2 multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 324901 69046)
=C2=A0(symbols 48 17609 6)
=C2=A0(strings 32 55854 8316)
=C2=A0(string-bytes 1 1941813)
=C2=A0(vectors 16 45873)
=C2=A0(vector-slots 8 1509242 228698)
=C2=A0(floats 8 261 571)
=C2=A0(intervals 56 23782 309)
=C2=A0(buffers 984 54))

--=20
Best regards,
Sergey Kostyaev




Acknowledgement sent to sskostyaev@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#61006; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 25 Jan 2023 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.